var $ = jQuery;
$(function() {
	// Для поиска предметов
	$('.InputSubject').keydown(function(){
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length > 1) {
			$.post(
				'/~dev_rating/handler/map/GetSubjectsList',
				{
					'NameFilter': NameFilter
				},
				function(data){
					data = $.parseJSON(data);
					console.log(data);
					$('.SelectSubject ').html('');
					if (parseInt(data.Count) > 0) {
						$('.SelectSubject ').append('<option disabled>Результаты:</option>');
						for (var i = 1; i <= parseInt(data.Count); i++)
							$('.SelectSubject ').append('<option value="'+ data[i].ID +'">'+ data[i].Title +'</option>');
						if (parseInt(data.Count) > 4)
							$('.SelectSubject').attr('size', '4');
						else
							$('.SelectSubject').attr('size', '2');
					}
					else {
						$('.SelectSubject ').append('<option disabled>Нет результатов</option>');
						$('.SelectSubject').attr('size', '2');
					}
					$('.SelectSubject').show();
				}
			);
		}
		else {
			$('.SelectSubject ').html('');
		}
	});
	$('.SelectSubject').change(function(){
		$('.InputSubject').val($('.SelectSubject option:selected').text());
		$('.SelectSubject').hide();
	});
	$('.InputSubject').focusout(function(){
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length == 0) {
			$('.SelectSubject ').html('');
			$('.SelectSubject').hide();
		}
	});
})